// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : WorkOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrder_PlantNr = grmi.NewField("PlantNr", "PM_WorkOrder.PlantNr", "plantnr", grmi.TypeInt)
var WorkOrder_MaintWorkOrderId = grmi.NewField("MaintWorkOrderId", "PM_WorkOrder.MaintWorkOrderId", "maintworkorderid", grmi.TypeString)
var WorkOrder_MainServiceNr = grmi.NewField("MainServiceNr", "PM_WorkOrder.MainServiceNr", "mainservicenr", grmi.TypeString)
var WorkOrder_Descr = grmi.NewField("Descr", "PM_WorkOrder.Descr", "descr", grmi.TypeString)
var WorkOrder_Status = grmi.NewField("Status", "PM_WorkOrder.Status", "status", grmi.TypeInt)
var WorkOrder_Priority = grmi.NewField("Priority", "PM_WorkOrder.Priority", "priority", grmi.TypeInt)
var WorkOrder_AssetNr = grmi.NewField("AssetNr", "PM_WorkOrder.AssetNr", "assetnr", grmi.TypeInt)
var WorkOrder_PlBegDat = grmi.NewField("PlBegDat", "PM_WorkOrder.PlBegDat", "plbegdat", grmi.TypeDate)
var WorkOrder_PlEndDat = grmi.NewField("PlEndDat", "PM_WorkOrder.PlEndDat", "plenddat", grmi.TypeDate)
var WorkOrder_NeedSchedule = grmi.NewField("NeedSchedule", "PM_WorkOrder.NeedSchedule", "needschedule", grmi.TypeInt)
var WorkOrder_MainTimeLen = grmi.NewField("MainTimeLen", "PM_WorkOrder.MainTimeLen", "maintimelen", grmi.TypeFloat64)
var WorkOrder_TimeUnit = grmi.NewField("TimeUnit", "PM_WorkOrder.TimeUnit", "timeunit", grmi.TypeString)
var WorkOrder_SchedBegTime = grmi.NewField("SchedBegTime", "PM_WorkOrder.SchedBegTime", "schedbegtime", grmi.TypeDateTime)
var WorkOrder_SchedEndTime = grmi.NewField("SchedEndTime", "PM_WorkOrder.SchedEndTime", "schedendtime", grmi.TypeDateTime)
var WorkOrder_ActBegTime = grmi.NewField("ActBegTime", "PM_WorkOrder.ActBegTime", "actbegtime", grmi.TypeDateTime)
var WorkOrder_ActEndTime = grmi.NewField("ActEndTime", "PM_WorkOrder.ActEndTime", "actendtime", grmi.TypeDateTime)
var WorkOrder_AssignedTo = grmi.NewField("AssignedTo", "PM_WorkOrder.AssignedTo", "assignedto", grmi.TypeString)
var WorkOrder_Operator = grmi.NewField("Operator", "PM_WorkOrder.Operator", "operator", grmi.TypeInt)
var WorkOrder_Vendor = grmi.NewField("Vendor", "PM_WorkOrder.Vendor", "vendor", grmi.TypeInt)
var WorkOrder_MaintType = grmi.NewField("MaintType", "PM_WorkOrder.MaintType", "mainttype", grmi.TypeString)
var WorkOrder_CostCenterId = grmi.NewField("CostCenterId", "PM_WorkOrder.CostCenterId", "costcenterid", grmi.TypeString)
var WorkOrder_PoId = grmi.NewField("PoId", "PM_WorkOrder.PoId", "poid", grmi.TypeString)
var WorkOrder_LastModify = grmi.NewField("LastModify", "PM_WorkOrder.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrder_LastUser = grmi.NewField("LastUser", "PM_WorkOrder.LastUser", "lastuser", grmi.TypeString)
var WorkOrder_CreateTime = grmi.NewField("CreateTime", "PM_WorkOrder.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkOrder = grmi.NewEntity(
	"PM_WorkOrder",
	func() interface{} { return &model.WorkOrder{} },
	map[string]grmi.Field{
		WorkOrder_PlantNr.Name:          WorkOrder_PlantNr,
		WorkOrder_MaintWorkOrderId.Name: WorkOrder_MaintWorkOrderId,
		WorkOrder_MainServiceNr.Name:    WorkOrder_MainServiceNr,
		WorkOrder_Descr.Name:            WorkOrder_Descr,
		WorkOrder_Status.Name:           WorkOrder_Status,
		WorkOrder_Priority.Name:         WorkOrder_Priority,
		WorkOrder_AssetNr.Name:          WorkOrder_AssetNr,
		WorkOrder_PlBegDat.Name:         WorkOrder_PlBegDat,
		WorkOrder_PlEndDat.Name:         WorkOrder_PlEndDat,
		WorkOrder_NeedSchedule.Name:     WorkOrder_NeedSchedule,
		WorkOrder_MainTimeLen.Name:      WorkOrder_MainTimeLen,
		WorkOrder_TimeUnit.Name:         WorkOrder_TimeUnit,
		WorkOrder_SchedBegTime.Name:     WorkOrder_SchedBegTime,
		WorkOrder_SchedEndTime.Name:     WorkOrder_SchedEndTime,
		WorkOrder_ActBegTime.Name:       WorkOrder_ActBegTime,
		WorkOrder_ActEndTime.Name:       WorkOrder_ActEndTime,
		WorkOrder_AssignedTo.Name:       WorkOrder_AssignedTo,
		WorkOrder_Operator.Name:         WorkOrder_Operator,
		WorkOrder_Vendor.Name:           WorkOrder_Vendor,
		WorkOrder_MaintType.Name:        WorkOrder_MaintType,
		WorkOrder_CostCenterId.Name:     WorkOrder_CostCenterId,
		WorkOrder_PoId.Name:             WorkOrder_PoId,
		WorkOrder_LastModify.Name:       WorkOrder_LastModify,
		WorkOrder_LastUser.Name:         WorkOrder_LastUser,
		WorkOrder_CreateTime.Name:       WorkOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"MainServiceNr", "Descr", "Status", "Priority", "AssetNr", "PlBegDat", "PlEndDat", "NeedSchedule", "MainTimeLen", "TimeUnit", "SchedBegTime", "SchedEndTime", "ActBegTime", "ActEndTime", "AssignedTo", "Operator", "Vendor", "MaintType", "CostCenterId", "PoId", "LastUser"})
